> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取文档

> 返回项目中单个文档的详细信息

```
GET /openapi/memorylake/api/v1/projects/{id}/documents/{documentId}
```

返回单个文档的详细信息，包括文件名和处理状态。

<Note>
  **所需权限：** [`project:doc_read`](/zh/features/team-collaboration/permission-reference#读取单个文档) · `instance`
</Note>

### 路径参数

<ParamField path="id" type="string" required>
  项目 ID
</ParamField>

<ParamField path="documentId" type="string" required>
  项目文档 ID
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v1/projects/proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6/documents/doc-1234567890abcdef' \
    -H 'Authorization: Bearer sk_xxxxxx'
  ```
</RequestExample>

### 响应

<ResponseField name="data" type="object">
  <Expandable title="文档对象">
    <ResponseField name="id" type="string">文档 ID</ResponseField>
    <ResponseField name="name" type="string">文件名</ResponseField>
    <ResponseField name="status" type="string">处理状态：`pending`、`running`、`okay` 或 `error`</ResponseField>
    <ResponseField name="drive_item_id" type="string">云盘项标识符</ResponseField>
    <ResponseField name="created_at" type="string">创建时间戳</ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "data": {
      "id": "doc-1234567890abcdef",
      "name": "report.pdf",
      "status": "okay",
      "drive_item_id": "sc-4d2beb72e9af4b01:inode-926ead7cac284666",
      "created_at": "2024-01-15T10:30:00Z"
    }
  }
  ```
</ResponseExample>
